com.jscape.inet.scp.events

## Class ScpConnectedEvent

- java.lang.Object
- - com.jscape.inet.scp.events.ScpEvent
  - - com.jscape.inet.scp.events.ScpConnectedEvent

-     public class ScpConnectedEvent
      extends ScpEvent

  SCP connected event.
  Author:
    Alex Usun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScpConnectedEvent(Scp source, java.lang.String host, int port)` Creates a new event instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(ScpEventListener listener)` Accepts listener for backwards dispatching.
    `java.lang.String` | `getHost()` Returns connected host.
    `int` | `getPort()` Returns connected port.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.scp.events.ScpEvent

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScpConnectedEvent

          public ScpConnectedEvent(Scp source,
                                   java.lang.String host,
                                   int port)

      Creates a new event instance.
      Parameters:
        `source` - source
        `host` - host
        `port` - port

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

      Returns connected host.
      Returns:
        connected host

    - #### getPort

          public int getPort()

      Returns connected port.
      Returns:
        connected port

    - #### accept

          public void accept(ScpEventListener listener)

      Description copied from class: `ScpEvent`
      Accepts listener for backwards dispatching.
      Specified by:
        `accept` in class `ScpEvent`
      Parameters:
        `listener` - event listener
      See Also:
        `ScpEvent.accept(ScpEventListener)`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ScpEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved